from setuptools import setup
import os

VERSION = "0.1a2"


def get_long_description():
    with open(
        os.path.join(os.path.dirname(os.path.abspath(__file__)), "README.md"),
        encoding="utf8",
    ) as fp:
        return fp.read()


setup(
    name="datasette-explain",
    description="Explain SQL queries executed using Datasette",
    long_description=get_long_description(),
    long_description_content_type="text/markdown",
    author="Simon Willison",
    url="https://github.com/simonw/datasette-explain",
    project_urls={
        "Issues": "https://github.com/simonw/datasette-explain/issues",
        "CI": "https://github.com/simonw/datasette-explain/actions",
        "Changelog": "https://github.com/simonw/datasette-explain/releases",
    },
    license="Apache License, Version 2.0",
    classifiers=[
        "Framework :: Datasette",
        "License :: OSI Approved :: Apache Software License",
    ],
    version=VERSION,
    packages=["datasette_explain"],
    entry_points={"datasette": ["explain = datasette_explain"]},
    install_requires=["datasette"],
    extras_require={"test": ["pytest", "pytest-asyncio"]},
    python_requires=">=3.7",
)
